Subject: Re: bug#8669: tail-2 in coreutils 5.1.2 fails

From: Jim Meyering <[email-masked]>
Date: Fri, 13 May 2011 12:26:25 +0200

Philipp Thomas wrote:
> While building coreutils 5.1.2 (SUSE SLES9) tail-2 fails with the output
> below and I can't quite make out what the test is doing and whether I should
> investigate.  Can anybody help?

...
> + exit 0
> + cd /usr/src/packages/BUILD/coreutils-5.2.1/tests/tail-2
> + rm -rf tail-as2.17851
> PASS: assert-2
> ======================================
> 1 of 5 tests failed

Thanks, but without knowing more, I can't help.
You've shown the verbose output of only the final test,
and it happened to pass.

For the failing test, usually there's a good hint or two
in the vicinity of a "fail=1" assignment.

Since coreutils-5.1.2 is so old, I'm already marking this "bug"
as "done", but you're welcome to continue discussion, and
if it's a bug that affects the latest, I'll happily reopen it.